---@meta

---@class FStateStreamHandle
local FStateStreamHandle = {}


---@class FTransformDynamicState
---@field LocalTransform FTransform
---@field BoneTransforms TArray<FTransform>
---@field Parent FTransformHandle
---@field bVisible boolean
local FTransformDynamicState = {}



---@class FTransformHandle : FStateStreamHandle
local FTransformHandle = {}


---@class FTransformStaticState
local FTransformStaticState = {}


